Delete a policy
DELETE/accounts/{account_id}/cws/policies/{policy_id}
Deletes the policy and cascades its policy-set membership rows. The policy sets remain.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Path Parameters
Delete a policy
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cws/policies/$POLICY_ID \
-X DELETE \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 0,
"message": "message",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 0,
"message": "message",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 0,
"message": "message",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 0,
"message": "message",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"success": true
}